﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Helper
{
    internal static class EncodeHelper
    {
        /// <summary>
        /// Base 64 轉碼
        /// </summary>
        /// <param name="plainText"></param>
        /// <returns></returns>
        internal static string EncodeBase64(string plainText)
        {
            var plainTextBytes = System.Text.Encoding.UTF8.GetBytes(plainText);
            return System.Convert.ToBase64String(plainTextBytes);
        }

        /// <summary>
        /// Base 64 解碼
        /// </summary>
        /// <param name="base64EncodedData"></param>
        /// <returns></returns>
        internal static string DecodeBase64(string base64EncodedData)
        {
            var base64EncodedBytes = System.Convert.FromBase64String(base64EncodedData);
            return System.Text.Encoding.UTF8.GetString(base64EncodedBytes);
        }
    }
}
